> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Proxy Test Servers

> Search Proxy Test Servers using various filters.




## OpenAPI

````yaml GET /public/user/proxy_test_server/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/proxy_test_server/search:
    get:
      tags:
        - Proxy Test Server
      summary: Search Proxy Test Servers
      description: |
        Search Proxy Test Servers using various filters.
      parameters:
        - name: proxy_test_server_id
          in: query
          description: ID of the Proxy Test Server
          schema:
            type: string
        - name: city_id
          in: query
          description: City ID of the Proxy Test Server
          schema: {}
        - name: country_id
          in: query
          description: Country ID of the Proxy Test Server
          schema:
            type: string
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful Proxy Test Server search
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProxyTestServerSuccessfulSearchResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    ProxyTestServerSuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of Proxy Test Server items matching the search criteria up to
            the limit of per_page paramater.
          items:
            type: object
            properties:
              city_id:
                type: integer
                example: 382717
              country_id:
                type: string
                example: us
              proxy_test_server_id:
                type: string
                example: sanfrancisco-3-digitalocean-proxytester-1
        item_count:
          type: integer
          description: Total number of Proxy Test Server items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of Proxy Test Server items returned per page.
        total_count:
          type: integer
          description: Total of Proxy Test Server items that match the search filter.
      description: Proxy Test Server search was successful.
      example:
        data:
          - city_id: '382717'
            country_id: us
            proxy_test_server_id: sanfrancisco-3-digitalocean-proxytester-1
        item_count: 1
        message: Proxy Test Server search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````